package it.unibo.tw0708.beans.compactDiscs;

import it.unibo.tw0708.beans.user.UserManager;
import it.unibo.tw0708.dao.CompactDiscTO;

import java.util.ArrayList;
import java.util.List;


public class CompactDiscsManager
implements ICompactDiscsManager {

	// --- package-limited constructor -------------------------------------------
	
	CompactDiscsManager() {
	}

	// --- dependencies ------------------------------------------
	
	private UserManager owner;
	public UserManager getOwner() { return owner; }
	public void setOwner(UserManager owner) { this.owner = owner; }

	private String someProperty;
	public String getSomeProperty() { return someProperty; }
	public void setSomeProperty(String someProperty) { this.someProperty = someProperty; }

	// --- business objects ------------------------------------------------
	
	private List<CompactDiscTO> compactDiscs;
	public List<CompactDiscTO> getCompactDiscs() { return this.compactDiscs; }
	public void setCompactDiscs(List<CompactDiscTO> compactDiscs) { 
		if ( compactDiscs != null ) this.compactDiscs = compactDiscs; 
		else this.compactDiscs = new ArrayList<CompactDiscTO>();
	}
	public int getCollectionSize() { 
		try { 
			return this.compactDiscs.size(); 
		}
		catch (Exception e) {
			return -1;
		}
	}

}