package it.unibo.tw0708.dao;

public class CompactDiscTO {

	private int id;
	private String owner;
	private String author;
	private String title;
	
	// ------------------------------------
	
	public CompactDiscTO() {
	}

	public CompactDiscTO(String owner, String author, String title) {
		this.owner = owner;
		this.author = author;
		this.title = title;
	}

	public CompactDiscTO(int id, String owner, String author, String title) {
		this.id = id;
		this.owner = owner;
		this.author = author;
		this.title = title;
	}

	// ------------------------------------

	public String getAuthor() {
		return author;
	}
	public void setAuthor(String author) {
		this.author = author;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}

	public String getOwner() {
		return owner;
	}

	public void setOwner(String owner) {
		this.owner = owner;
	}

	// --------------------------------------
	
	@Override
	public boolean equals(Object o) {
		if ( o == null )
			return false;
		if ( ! ( o instanceof CompactDiscTO ) )
			return false;
		CompactDiscTO cdo = (CompactDiscTO) o;
		try {
			if ( this.id == cdo.id )
				if ( this.owner.equals( cdo.owner ) )
					if ( this.author.equals( cdo.author ) )
						if ( this.title.equals( cdo.title ) )
							return true;
		}
		catch (Exception e) {
			return false;
		}
		return false;
	}
	
	@Override
	public int hashCode() {
		String hashString = this.id + this.owner + this.author + this.title;
		return hashString.hashCode();
	}

	@Override
	public String toString() {
		return "CompactDiscTO[ id = "+id+", owner = "+owner+", author = "+author+", title = "+title+" ]";
	}
	
	@Override
	public Object clone() {
		return new CompactDiscTO(id,owner,author,title);
	}

}