<html>

   <%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
   <%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
	
   <f:view>

	    <head>                  
	        <title>A sample JSF page using a Spring bean</title>
			<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/default.css" type="text/css"/>
			<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/main.css" type="text/css"/>
	     </head> 
    
	      <body>
	
			<div id="content">

				<h:form>
					<h:commandButton action="#{compactDiscsManager.owner.load}" value="redisplay this"/> 
				</h:form>
			
				<h:outputText value="User #{compactDiscsManager.owner.name} currently owns #{compactDiscsManager.collectionSize} compact discs"/>
				<br/>
				<br/>
				<h:outputText style="font-size: small; font-style: italic" value="Note: DAO implementation here is fictitious! It's just made up of an ArrayList stored in memory, though accessed via a traditional DAO object (see the code)!"/>
				<br/>
				<br/>
				<h:outputLink value="sampleJSP.jsp">
					<h:outputText value="Login as another user"/> 
				</h:outputLink>
				<br/>
				<br/>
				<h:outputText style="font-size: small; font-style: italic" value="Note: Only user 'pisi' owns some compact discs!"/>
	      
			</div>
			
			<%@ include file="../fragments/footer" %>
	
	      </body>

   </f:view>

</html>