package it.unibo.tw0708.spring.utils;


import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;

import org.springframework.context.ApplicationContext;
import org.springframework.web.context.support.WebApplicationContextUtils;

abstract public class SpringGlue {

	public static Object getBean(HttpServletRequest req, String name) {
		try {
			SpringMVCBasedRequestContextFilter contextFilter = (SpringMVCBasedRequestContextFilter) req.getAttribute("requestContext");
			ApplicationContext ac = WebApplicationContextUtils.getRequiredWebApplicationContext(contextFilter.getServletContext());
			return ac.getBean(name);
		}
		catch (Exception e) {
			e.printStackTrace();
			return null;
		}
	}

	public static Object getBean(ServletContext servletContext, String name) {
		try {
			ApplicationContext ac = WebApplicationContextUtils.getRequiredWebApplicationContext(servletContext);
			return ac.getBean(name);
		}
		catch (Exception e) {
			e.printStackTrace();
			return null;
		}
	}
}
